Bug 1175239 - (CVE-2020-14363) VUL-0: CVE-2020-14363: libX11, xorg-x11-libX11: integer overflow and a double free vulnerability in locale handling
(CVE-2020-14363)
VUL-0: CVE-2020-14363: libX11, xorg-x11-libX11: integer overflow and a double...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/265264/
CVSSv3.1:SUSE:CVE-2020-14363:6.2:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-08-13 15:24 UTC by Wolfgang Frisch
Modified: 2020-12-01 11:18 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 5 Stefan Dirsch 2020-08-25 15:26:50 UTC
Date: Tue, 25 Aug 2020 17:18:33 +0200
From: Matthieu Herrb <matthieu@herrb.eu>
To: xorg-announce@lists.x.org
Cc: xorg-devel@lists.x.org
Subject: X.Org libX11 security advisory: August 25, 2020

Double free in libX11 locale handling code
==========================================

CVE-2020-14363

There is an integer overflow and a double free vulnerability in the way
LibX11 handles locales. The integer overflow is a necessary precursor to
the double free.

Patches
-------

A Patch for this issue has been committed to the libX11 git repository.
libX11 1.6.12 will be released shortly and will include this patch.

https://gitlab.freedesktop.org/xorg/lib/libx11


commit acdaaadcb3d85c61fd43669fc5dddf0f8c3f911d (HEAD -> master)

    Fix an integer overflow in init_om()

    CVE-2020-14363

    This can lead to a double free later, as reported by Jayden Rivers.


Thanks
------

X.Org thanks Jayden Rivers for reporting this issue to our security
team and assisting them in understanding them and providing fixes.

--
Matthieu Herrb
Comment 6 Stefan Dirsch 2020-08-25 15:27:57 UTC
Date: Tue, 25 Aug 2020 17:22:48 +0200
From: Matthieu Herrb <matthieu@herrb.eu>
To: xorg-announce@lists.x.org
Cc: xorg@lists.x.org
Subject: [ANNOUNCE] libX11 1.6.12

Christopher Chavez (1):
      Fix typo GCCLipYOrigin -> GCClipYOrigin in XCreateGC() manpage

Felix Yan (1):
      Correct a typo in GetStCmap.c

Matthieu Herrb (2):
      Fix an integer overflow in init_om()
      libX11 1.6.12

Maya Rashish (1):
      Avoid the use of "register" keyword in XkbTranslateKeySym.

Niclas Zeising (1):
      Fix input clients connecting to server

git tag: libX11-1.6.12

https://xorg.freedesktop.org/archive/individual/lib/libX11-1.6.12.tar.bz2
SHA256: f108227469419ac04d196df0f3b80ce1f7f65059bb54c0de811f4d8e03fd6ec7  libX11-1.6.12.tar.bz2
SHA512: 79df7d61d9009b0dd3b65f67a62189aa0a43799c01026b3d2d534092596a0b67f246af5e398a89eb1ccc61a27335f81be8262b8a39768a76f62d862cd7415a47  libX11-1.6.12.tar.bz2
PGP:  https://xorg.freedesktop.org/archive/individual/lib/libX11-1.6.12.tar.bz2.sig

https://xorg.freedesktop.org/archive/individual/lib/libX11-1.6.12.tar.gz
SHA256: 0fce5fc0a24a3dc728174eccd0cb8d6a1b37a2ec1654bd5628c84e5bc200d594  libX11-1.6.12.tar.gz
SHA512: be86b8ad874311bc9d4bd28f33ecdbf2dd391b4a17bdf456c0f8b483f740145cd976b68fa7afee806223acff319e77e163a612b82f7fa9dfa898a31cfbbda851  libX11-1.6.12.tar.gz
PGP:  https://xorg.freedesktop.org/archive/individual/lib/libX11-1.6.12.tar.gz.sig


--
Matthieu Herrb
Comment 8 Stefan Dirsch 2020-08-25 21:37:13 UTC
Packages submitted for factory/TW, sle15, sle12 and sle11. Reassigning to security team.
Comment 10 OBSbugzilla Bot 2020-08-25 22:10:06 UTC
This is an autogenerated message for OBS integration:
This bug (1175239) was mentioned in
https://build.opensuse.org/request/show/829641 Factory / libX11
Comment 11 Swamp Workflow Management 2020-09-03 13:16:16 UTC
SUSE-SU-2020:2474-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1175239
CVE References: CVE-2020-14363
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    libX11-1.6.5-3.12.1
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    libX11-1.6.5-3.12.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 12 Swamp Workflow Management 2020-09-03 13:17:53 UTC
SUSE-SU-2020:2475-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1175239
CVE References: CVE-2020-14363
JIRA References: 
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    libX11-1.6.2-12.15.1
SUSE Linux Enterprise Server 12-SP5 (src):    libX11-1.6.2-12.15.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 13 Swamp Workflow Management 2020-09-07 13:37:47 UTC
openSUSE-SU-2020:1370-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1175239
CVE References: CVE-2020-14363
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    libX11-1.6.5-lp152.5.9.1
Comment 14 Swamp Workflow Management 2020-09-07 13:38:27 UTC
openSUSE-SU-2020:1368-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1175239
CVE References: CVE-2020-14363
JIRA References: 
Sources used:
openSUSE Leap 15.1 (src):    libX11-1.6.5-lp151.4.9.1
Comment 15 Marcus Meissner 2020-10-03 07:02:30 UTC
released
Comment 16 Swamp Workflow Management 2020-11-27 17:15:19 UTC
SUSE-SU-2020:2474-2: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1175239
CVE References: CVE-2020-14363
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15 (src):    libX11-1.6.5-3.12.1
SUSE Linux Enterprise Server 15-LTSS (src):    libX11-1.6.5-3.12.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    libX11-1.6.5-3.12.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    libX11-1.6.5-3.12.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 17 Swamp Workflow Management 2020-12-01 11:18:28 UTC
SUSE-SU-2020:2475-2: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1175239
CVE References: CVE-2020-14363
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    libX11-1.6.2-12.15.1
SUSE OpenStack Cloud Crowbar 8 (src):    libX11-1.6.2-12.15.1
SUSE OpenStack Cloud 9 (src):    libX11-1.6.2-12.15.1
SUSE OpenStack Cloud 8 (src):    libX11-1.6.2-12.15.1
SUSE OpenStack Cloud 7 (src):    libX11-1.6.2-12.15.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    libX11-1.6.2-12.15.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    libX11-1.6.2-12.15.1
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    libX11-1.6.2-12.15.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    libX11-1.6.2-12.15.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    libX11-1.6.2-12.15.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    libX11-1.6.2-12.15.1
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    libX11-1.6.2-12.15.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    libX11-1.6.2-12.15.1
SUSE Enterprise Storage 5 (src):    libX11-1.6.2-12.15.1
HPE Helion Openstack 8 (src):    libX11-1.6.2-12.15.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.